/* Accordion
----------------------------------------------------------------- */

.wp-block-acf-accordion {
  box-sizing: border-box;
}

.block-accordion {
  cursor: pointer;
  padding: 1em 1.5em;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  transition: 0.15s;
  margin-top: 0.75em;
  position: relative;
  border-radius: 0px;
  background: var(--wp--preset--color--secondary);
}

.has-background .block-accordion {
  background: inherit;
}

.block-accordion h5 {
  margin: 0px;
  font-weight: 600;
  color: white;
  padding-right: 5%;
}

.has-text-color h5 {
  color: inherit;
}

.block-accordion-indicator {
  width: 0.8em;
  height: 0.8em;
  border-bottom-width: 0.2em;
  border-bottom-style: solid;
  border-left-width: 0.2em;
  border-left-style: solid;
  transform: rotate(-45deg);
  transition: 0.15s ease;
  position: absolute;
  top: 29%;
  right: 1.25em;
  border-color: white;
}

.block-accordion-active .block-accordion-indicator {
  transform: rotate(135deg);
  top: 38%;
}

.block-accordion-panel {
  padding: 0 2%;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.15s ease-out;
  margin-bottom: 0.5em;
  color: initial;
  background: #f6f6f6;
  width: 100%;
}

.block-accordion-panel .acf-innerblocks-container {
  padding: 0em;
}

.block-accordion-panel .acf-innerblocks-container> :first-child {
  margin-top: 1em;
}

.block-accordion-panel .acf-innerblocks-container> :last-child {
  margin-bottom: 1em;
}

/* WP Editor Styles */
.editor-styles-wrapper .block-accordion-panel {
  max-height: unset;
  position: relative;
}

.editor-styles-wrapper .block-accordion-panel .acf-innerblocks-container,
.editor-styles-wrapper .block-accordion-panel .acf-innerblocks-container .wp-block-group.has-background {
  position: unset;
}

/* Background Video
----------------------------------------------------------------- */


.block-bgvideo {
    width: 100vw;
    height: 100%;
    position: absolute;
    top: 0;
    left: calc(100% / 2);
    transform: translateX(-50%);
    z-index: 0;
    background-position: 50% 50%;
    background-size: cover;
    background: inherit;
    max-width: unset !important;
    filter: opacity(0.2) grayscale(0.5);
    overflow: hidden;
    margin: 0px;
    margin-block-start: 0 !important;

    video {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
}



/* WP Editor Styles */
.editor-styles-wrapper {}


/* MOBILE
--------------------------------------------- */

@media only screen and (max-width: 1024px) {}

@media only screen and (max-width: 768px) {


  .ecampaign-postcode-search {
    
}



.ecampaign-postcode-search {
   #gform_2 {
       .gform-body {
           #field_submit {
              #gform_submit_button_2 {
                  font-size: 1em;
              }
          }
      }
  }
}


.ecampaign-postcode-search {
  & #gform_2 {
      & .gform-body {
          #field_2_1 {
              width: 100%;
              text-align: center;
          }
      }
  }
}

.ecampaign-postcode-search {
  

  form {
    input, input[type="text"]:focus, #input_2_1 {
        width: 100%;
    }
  }

  #gform_2 .gform-body #field_submit #gform_submit_button_2 {
                width: 100%;
           
}
}






}

@media only screen and (max-width: 500px) {

  /* Accordion
----------------------------------------------------------------- */
  .block-accordion {
    padding: 0.5em 1em;
  }




  .ecampaign-postcode-search {
   

    form {
      input, input[type="text"]:focus, #input_2_1 {
          width: 100%;
      }
    }

    #gform_2 .gform-body #field_submit #gform_submit_button_2 {
                  width: 100%;
             
  }
}



.ecampaign-email {
  & #gform_wrapper_1 {
      #gform_page_1_1 {
          display: block;

          .gform-page-footer {
            margin-top: 1em;
        }
      }
  }
}


}